Description

Mu2e needs the ability to create a request based on a DataFragment coming from a parent subsystem:

TRK+CAL BRs -> Filter EVB -> Final EVB -> DL
CRV BRs - (pull mode) -> Final EVB

Using the RawEventHeader, it should be possible to propagate the necessary timestamp information through art and have the
DataFragment generated in RootNetOutput have its header fields set so that SharedMemoryEventManager generates correct
request messages in the "Final EVB".

This functionality should be tested via a DAQInterface simple_test_config.

Related issues:
Blocked by artdaq - Idea #20815: Include RawEventHeader as art product Closed 09/12/2018

History

#1 - 06/17/2020 12:58 PM - Eric Flumerfelt
- Blocked by Idea #20815: Include RawEventHeader as art product added

#2 - 06/17/2020 03:40 PM - Eric Flumerfelt

- Status changed from New to Resolved

| have implemented a mu2e_sample_system simple_test_config, which uses functionality in
artdaq:feature/SharedMemoryReader_RawEventHeaderInArtEvent and artdaq_core:feature/RawEvent_HeaderInArtDictionary

#3 - 06/19/2020 10:26 AM - Ron Rechenmacher

| was able to run the mu2e_sample_system simple test config via:

/home/ron/work/artdagPrj/demo8-el19-s96
ron@mu2edaqgl3 :”) srcs/artdag _demo/tools/run_integration_tests.sh —--config mul2e_sample_system

Using the mu2e_sample_system simple test config, daq interface generates the EventBuilder1.fcl which has

dag: {
event_builder: {
buffer_count: 20
max_event_size_bytes: 1025128
expected_fragments_per_event: 3
init_fragment_count: 2
max_incomplete_events: 75
print_event_store_stats: true
request_address: "227.128.4.130"
request_port: 3001
routing_token_config: {
use_routing_master: false

}
Eric says the expected_fragments_per_event should be 2 not 3.

#4 - 06/19/2020 10:31 AM - Ron Rechenmacher

- Status changed from Resolved to Reviewed

#5 - 11/30/2020 12:33 PM - Eric Flumerfelt

- Status changed from Reviewed to Closed

04/23/2021

22


http://www.tcpdf.org

